Tool: create_autonomous_database
Create an Autonomous Database (ADB). This request can be used to create a new ADB instance or a clone of an existing ADB or an ADB Disaster Recovery (DR) instance. If the source config is not specified, a new ADB instance is created. If the source config is specified, a clone of the source is created. If the source is specified and the source is an ADB DR instance, then a new ADB DR instance is created. While creating a new ADB instance, it can have Public IP support or Private IP support. In case of Private IP support, the request should contain the ODBSubnetwork details. If a request is Public IP mLTS is required mandatorily.
The following sample demonstrate how to use curl to invoke the create_autonomous_database MCP tool.
| Curl Request |
|---|
curl --location 'https://oracledatabase.googleapis.com/mcp' \ --header 'content-type: application/json' \ --header 'accept: application/json, text/event-stream' \ --data '{ "method": "tools/call", "params": { "name": "create_autonomous_database", "arguments": { // provide these details according to the tool's MCP specification } }, "jsonrpc": "2.0", "id": 1 }' |
Input Schema
Request message for CreateAutonomousDatabase.
CreateAutonomousDatabaseRequest
| JSON representation |
|---|
{
"parent": string,
"autonomousDatabase": {
object ( |
| Fields | |
|---|---|
parent |
Required. The resource name of the project to create the ADB in. Format: |
autonomousDatabase |
Required. The ADB to create. |
autonomousDatabaseId |
Required. The ID to use for the ADB that is being created. |
AutonomousDatabase
| JSON representation |
|---|
{ "name": string, "database": string, "displayName": string, "adminPasswordSecretVersion": string, "odbSubnet": string, "sourceConfig": { object ( |
| Fields | |
|---|---|
name |
Required. Identifier. The resource name of the ADB. Format: |
database |
Optional. Immutable. The name of the Autonomous Database. The database name must be unique in the project. The name must begin with a letter and can contain a maximum of 30 alphanumeric characters. |
displayName |
Optional. Immutable. The display name for the Autonomous Database. The name does not have to be unique within your project. |
adminPasswordSecretVersion |
Optional. Immutable. The resource name of a secret version in Secret Manager which contains the database admin user's password. Format: projects/{project}/secrets/{secret}/versions/{version}. |
odbSubnet |
Optional. Immutable. The name of the OdbSubnet associated with the Autonomous Database. Format: projects/{project}/locations/{location}/odbNetworks/{odb_network}/odbSubnets/{odb_subnet} |
sourceConfig |
Optional. Immutable. The source Autonomous Database configuration for the standby Autonomous Database. The source Autonomous Database is configured while creating the Peer Autonomous Database or a clone and can't be updated after creation. |
computeCount |
Optional. Immutable. The number of compute servers for the Autonomous Database. |
dataStorageSizeTb |
Optional. Immutable. The size of the data stored in the database, in terabytes. |
dataStorageSizeGb |
Optional. Immutable. The size of the data stored in the database, in gigabytes. |
dbWorkload |
Optional. Immutable. The workload type of the Autonomous Database. |
dbEdition |
Optional. Immutable. The edition of the Autonomous Databases. |
characterSet |
Optional. Immutable. The character set for the Autonomous Database. The default is AL32UTF8. |
nCharacterSet |
Optional. Immutable. The national character set for the Autonomous Database. The default is AL16UTF16. |
dbVersion |
Optional. Immutable. The Oracle Database version for the Autonomous Database. |
isAutoScalingEnabled |
Optional. Immutable. This field indicates if auto scaling is enabled for the Autonomous Database CPU core count. |
isStorageAutoScalingEnabled |
Optional. Immutable. This field indicates if auto scaling is enabled for the Autonomous Database storage. |
licenseType |
Required. Immutable. The license type used for the Autonomous Database. |
mtlsConnectionRequired |
Optional. Immutable. This field specifies if the Autonomous Database requires mTLS connections. |
SourceConfig
| JSON representation |
|---|
{ "autonomousDatabase": string, "automaticBackupsReplicationEnabled": boolean, "sourceType": enum ( |
| Fields | |
|---|---|
autonomousDatabase |
Optional. The name of the primary Autonomous Database that is used to create a Peer Autonomous Database from a source. |
automaticBackupsReplicationEnabled |
Optional. This field specifies if the replication of automatic backups is enabled when creating a Data Guard. |
sourceType |
Optional. The source type of the Autonomous Database. |
cloneType |
Optional. The clone type of the Autonomous Database. This field is only applicable in case of cloning |
refreshableMode |
Optional. The refresh mode of the clone. |
autoRefreshFrequencySeconds |
Optional. The frequency in seconds a refreshable clone is refreshed after auto-refresh is enabled. |
autoRefreshPointLagSeconds |
Optional. The time, in seconds, the data of the automatic refreshable clone lags the primary database at the point of refresh. |
autoRefreshStartTime |
Optional. The date and time that auto-refreshing will begin for an Autonomous Database refreshable clone. This value controls only the start time for the first refresh operation. Uses RFC 3339, where generated output will always be Z-normalized and use 0, 3, 6 or 9 fractional digits. Offsets other than "Z" are also accepted. Examples: |
autonomousDatabaseBackup |
Optional. The name of the Autonomous Database Backup resource with the format: projects/{project}/locations/{region}/autonomousDatabaseBackups/{autonomous_database_backup} Required when source_type is BACKUP_FROM_ID. |
backupTime |
Optional. The timestamp specified for the point-in-time clone of the source Autonomous Database. This field is only applicable in case of BACKUP_FROM_TIMESTAMP source type and when use_latest_available_backup is false. Uses RFC 3339, where generated output will always be Z-normalized and use 0, 3, 6 or 9 fractional digits. Offsets other than "Z" are also accepted. Examples: |
useLatestAvailableBackup |
Optional. Clone from latest available backup timestamp. This field is only applicable in case of BACKUP_FROM_TIMESTAMP source type. |
Timestamp
| JSON representation |
|---|
{ "seconds": string, "nanos": integer } |
| Fields | |
|---|---|
seconds |
Represents seconds of UTC time since Unix epoch 1970-01-01T00:00:00Z. Must be between -62135596800 and 253402300799 inclusive (which corresponds to 0001-01-01T00:00:00Z to 9999-12-31T23:59:59Z). |
nanos |
Non-negative fractions of a second at nanosecond resolution. This field is the nanosecond portion of the duration, not an alternative to seconds. Negative second values with fractions must still have non-negative nanos values that count forward in time. Must be between 0 and 999,999,999 inclusive. |
Output Schema
This resource represents a long-running operation that is the result of a network API call.
Operation
| JSON representation |
|---|
{ "name": string, "metadata": { "@type": string, field1: ..., ... }, "done": boolean, // Union field |
| Fields | |
|---|---|
name |
The server-assigned name, which is only unique within the same service that originally returns it. If you use the default HTTP mapping, the |
metadata |
Service-specific metadata associated with the operation. It typically contains progress information and common metadata such as create time. Some services might not provide such metadata. Any method that returns a long-running operation should document the metadata type, if any. An object containing fields of an arbitrary type. An additional field |
done |
If the value is |
Union field result. The operation result, which can be either an error or a valid response. If done == false, neither error nor response is set. If done == true, exactly one of error or response can be set. Some services might not provide the result. result can be only one of the following: |
|
error |
The error result of the operation in case of failure or cancellation. |
response |
The normal, successful response of the operation. If the original method returns no data on success, such as An object containing fields of an arbitrary type. An additional field |
Any
| JSON representation |
|---|
{ "typeUrl": string, "value": string } |
| Fields | |
|---|---|
typeUrl |
Identifies the type of the serialized Protobuf message with a URI reference consisting of a prefix ending in a slash and the fully-qualified type name. Example: type.googleapis.com/google.protobuf.StringValue This string must contain at least one The prefix is arbitrary and Protobuf implementations are expected to simply strip off everything up to and including the last All type URL strings must be legal URI references with the additional restriction (for the text format) that the content of the reference must consist only of alphanumeric characters, percent-encoded escapes, and characters in the following set (not including the outer backticks): In the original design of |
value |
Holds a Protobuf serialization of the type described by type_url. A base64-encoded string. |
Status
| JSON representation |
|---|
{ "code": integer, "message": string, "details": [ { "@type": string, field1: ..., ... } ] } |
| Fields | |
|---|---|
code |
The status code, which should be an enum value of |
message |
A developer-facing error message, which should be in English. Any user-facing error message should be localized and sent in the |
details[] |
A list of messages that carry the error details. There is a common set of message types for APIs to use. An object containing fields of an arbitrary type. An additional field |
Tool Annotations
Destructive Hint: ❌ | Idempotent Hint: ❌ | Read Only Hint: ❌ | Open World Hint: ❌